Bug 658483 - [abrt] evolution-data-server-2.32.1-1.fc14: malloc_consolidate: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
Summary: [abrt] evolution-data-server-2.32.1-1.fc14: malloc_consolidate: Process /usr/...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8b519ca1e78ced41cc7cc7ddd9f...
: 652256 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-30 14:15 UTC by BartS
Modified: 2012-08-16 19:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:10:40 UTC


Attachments (Terms of Use)
File: backtrace (37.58 KB, text/plain)
2010-11-30 14:15 UTC, BartS
no flags Details

Description BartS 2010-11-30 14:15:30 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/e-addressbook-factory
component: evolution-data-server
crash_function: malloc_consolidate
executable: /usr/libexec/e-addressbook-factory
kernel: 2.6.35.6-48.fc14.i686
package: evolution-data-server-2.32.1-1.fc14
rating: 4
reason: Process /usr/libexec/e-addressbook-factory was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1291126445
uid: 500

How to reproduce
-----
1. using calendar
2. no apparent cause (crash happened after at least 30s of inactivity.
3.

Comment 1 BartS 2010-11-30 14:15:33 UTC
Created attachment 463739 [details]
File: backtrace

Comment 2 Milan Crha 2010-12-01 08:09:27 UTC
Thanks for a bug report. It was trying to open your local addressbook, but then it failed somewhere in xml code. Is this anyhow reproducible?

Thread 1 (Thread 2296):
#0  0x0085d0f1 in malloc_consolidate () from /lib/libc-2.12.90.so
#1  0x0085e909 in _int_malloc () from /lib/libc-2.12.90.so
#2  0x008617b0 in malloc () from /lib/libc-2.12.90.so
#3  0x006c20e2 in xmlDictCreate__internal_alias () at dict.c:458
#4  0x005f9e35 in xmlInitParserCtxt__internal_alias (ctxt=0x8c4ee00) at parserInternals.c:1616
#5  0x005fa293 in xmlNewParserCtxt__internal_alias () at parserInternals.c:1869
#6  0x0060dc84 in xmlCreateMemoryParserCtxt__internal_alias (buffer=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"..., size=243) at parser.c:13670
#7  0x00612a75 in xmlCreateDocParserCtxt__internal_alias (cur=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"...) at parser.c:13871
#8  0x00613170 in xmlSAXParseDoc__internal_alias (sax=0x0, cur=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"..., recovery=0) at parser.c:13898
#9  0x00613212 in xmlParseDoc__internal_alias (cur=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"...) at parser.c:13932
#10 0x0286d116 in e_source_new_from_standalone_xml (xml=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"...) at e-source.c:854
#11 0x0804ac16 in impl_BookFactory_getBook (object=0x8b9d030, invocation=0xb6577d50, in_source=0x8c4b600 "<?xml version=\"1.0\"?>\n<source uid=\"1288929536.7510.0@fs2\" name=\"Personal\" relative_uri=\"system\" uri=\"local:/system\"><properties><property name=\"completion\" value=\"true\"/><property name=\"remember_passw"..., factory=0x8ba2200) at e-data-book-factory.c:313

Comment 3 BartS 2010-12-01 08:24:57 UTC
It has happened before...

I suspect that it's crashing when one part of evolution is reading the addressbook at the same time as I'm updating it in another part eg I'm in the middle of creating an appointment, and I realise that one of the attendees is not in my addressbook, so I go find an email from them and use it to add them to my addressbook (with the new appointment still open) then go back to the appointment and add the new attendee.

I'll try to reproduce this if I can...

Comment 4 Milan Crha 2010-12-01 09:25:30 UTC
Thanks. The backtrace shows it's trying to authenticate against your GAL in one thread, and the other thread is opening the local addressbook. Please try, for some time, run e-addressbook-factory on a console under valgrind, which may show us possible issues. It might not have much impact on speed of evolution, though it will have some.

You can run it like this:
   $ G_SLICE=always-malloc valgrind --num-callers=50 /usr/libexec/e-addressbook-factory &>/tmp/eaf.log

The /tmp/eaf.log will contain respective output. Note only one e-addressbook-factory can be running in the system, thus make sure the previous one, if any, will be stopped before you'll invoke the above command on the console.

I'm putting this to need-info, because of waiting on your findings.

Comment 5 BartS 2010-12-06 12:37:18 UTC
Package: evolution-data-server-2.32.1-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Reading freshly delivered email (using new "updates-testing" build 2.32.1-2.fc14)
2. crash (of addressbook, evolution stayed up).
3.

Comment 6 BartS 2010-12-06 23:49:35 UTC
Package: evolution-data-server-2.32.1-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Just received a meeting acceptance from my boss (who replied with a different "from" address than the original invite. I accepted and added him as a new attendee.
2. crash.

Comment 7 Milan Crha 2010-12-07 08:14:10 UTC
if you can reproduce the last steps, which seems to be pretty simple, then please try to run the factory as described in comment #4 and repeat it.

Comment 8 abrt-bot 2012-03-30 12:36:22 UTC
*** Bug 652256 has been marked as a duplicate of this bug. ***

Comment 9 Fedora End Of Life 2012-08-16 19:10:43 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.